Subject: bug#6902: 23.2; indent-line-to possible devide by zero error bug

From: Arik Mitschang <[email-masked]>
Date: Wed, 25 Aug 2010 16:04:45 -0400

Glenn Morris writes:
 > Arik Mitschang wrote:
 > 
 > > In indent.el the indent-line-to function has a comparison that devides
 > > the current column count by tab-width, whose value is an integerp and
 > > allowed to be zero (and in my experience is often 0).
 > 
 > Why do you want to set tab-width to 0?

Honestly I cannot remember, but I had it set there and I assume there
was a reason.

 > 
 > A quick grep for tab-width shows other places that will break.

The fact that it's value can be zero (without even warning in the doc
string) and this value causes functionality to break doesn't seem good
to me. If nobody but me ever had it set to zero, then perhaps just
updating its doc-string to warn users away from that value would be
nice.

Thanks,
~Arik